Index: pjproject/branches/projects/vs-reorg/third_party/build/srtp/libsrtp.vcproj
===================================================================
--- pjproject/branches/projects/vs-reorg/third_party/build/srtp/libsrtp.vcproj	(revision 2630)
+++ pjproject/branches/projects/vs-reorg/third_party/build/srtp/libsrtp.vcproj	(revision 2631)
@@ -66,4 +66,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -127,5 +129,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -198,5 +200,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -269,4 +271,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -330,5 +334,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -401,5 +405,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -472,4 +476,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -533,5 +539,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -604,5 +610,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -675,4 +681,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -736,5 +744,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -807,5 +815,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -878,4 +886,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -939,5 +949,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1010,5 +1020,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1081,4 +1091,6 @@
 			<Tool
 				Name="VCLibrarianTool"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-$(PlatformName)-vs$(VSVer)-$(ConfigurationName).lib"
+
 			/>
 			<Tool
@@ -1142,5 +1154,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6std-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
@@ -1213,5 +1225,5 @@
 			<Tool
 				Name="VCLibrarianTool"
-				OutputFile="..\..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
+				OutputFile="..\..\lib\$(ProjectName)-$(TargetCPU)-wm6pro-vs$(VSVer)-$(ConfigurationName).lib"
 
 			/>
